Bug 19592 - Зависимость на libXext-devel
: Зависимость на libXext-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lazarus)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-04-13 09:45 by
Modified: 2009-09-15 19:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-04-13 09:45:18
поставил Лазаря. Не хочет компилить. Разбор полётов показал, что хочет -lXext.
Добавил пакет libXext-devel. Заработало.

Только я не уверен, что это правильно. Если я правильно помню, то Xext из
нашего xorg уходит (или уже ушёл). Так что к след. релизу надо бы разобраться с
данным вопросом.
------- Comment #1 From 2009-04-17 02:51:31 -------
(In reply to comment #0)
> Только я не уверен, что это правильно. Если я правильно помню, то Xext из
> нашего xorg уходит (или уже ушёл). Так что к след. релизу надо бы разобраться с
> данным вопросом.

Да, да, желательно уточнить кто-куда уходит.
$ apt-cache whatdepends libXext|grep libXext.so.6|wc -l
282
------- Comment #2 From 2009-08-05 19:26:17 -------
Добавил зависимость, в ближайшем релизе будет в Сизифе.
------- Comment #3 From 2009-09-12 08:59:18 -------
lazarus-0.9.26.2-alt3 -> sisyphus:

* Fri Sep 11 2009 Grigory Batalov <bga@altlinux> 0.9.26.2-alt3

- Require libXext-devel as well (ALT #19592).
- Build lazdatadesktop (ALT #20664, ashen@).
- Replace DejaVu fonts requirement with Terminus one (ALT #21139).
- Add RxNew and PowerPDF components (ashen@).
- Add default configs (ALT #21291, ashen@).
- Add man pages.